Name:           perl-Config-General
Version:        2.33
Release:        2%{?dist}
Summary:        Generic configuration module for Perl

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Config-General/
Source:         http://www.cpan.org/authors/id/T/TL/TLINDEN/Config-General-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module opens a config file and parses it's contents for
you. After parsing the module returns a hash structure which contains
the representation of the config file.
The format of config files supported by Config::General is inspired by
the well known apache config format, in fact, this module is 100%
read-compatible to apache configs, but you can also just use simple
name/value pairs in your config files.
In addition to the capabilities of a apache config file it supports
some enhancements such as here-documents, C- style comments or
multiline options. It is also possible to save the config back to
disk, which makes the module a perfect backend for configuration
interfaces.
It is possible to use variables in config files and there exists also
support for object oriented access to the configuration.


%prep
%setup -q -n Config-General-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changelog README example.cfg
%{perl_vendorlib}/Config/
%{_mandir}/man3/Config::*.3*


%changelog
* Tue Aug  7 2007 Ville Skyttä <ville.skytta at iki.fi> - 2.33-2
- License: GPL+ or Artistic

* Wed Apr 18 2007 Ville Skyttä <ville.skytta at iki.fi> - 2.33-1
- 2.33.
- BuildRequire perl(ExtUtils::MakeMaker) and perl(Test::More).

* Sat Feb 24 2007 Ville Skyttä <ville.skytta at iki.fi> - 2.32-1
- 2.32.

* Tue Aug 29 2006 Ville Skyttä <ville.skytta at iki.fi> - 2.31-2
- Fix order of arguments to find(1).
- Drop version from perl build dependency.

* Thu Jan 12 2006 Ville Skyttä <ville.skytta at iki.fi> - 2.31-1
- 2.31.

* Fri Sep 16 2005 Ville Skyttä <ville.skytta at iki.fi> - 2.30-1
- 2.30.

* Wed May 18 2005 Ville Skyttä <ville.skytta at iki.fi> - 2.28-2
- 2.28.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.27-2
- rebuilt

* Fri Jun 18 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:2.27-0.fdr.1
- Update to 2.27.
- Bring up to date with current fedora.us Perl spec template.

* Sun May  9 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:2.26-0.fdr.3
- BuildRequire perl >= 1:5.6.1-34.99.6 for support for vendor installdirs.
- Use pure_install to avoid perllocal.pod workarounds.

* Sun Apr 25 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:2.26-0.fdr.2
- Require perl(:MODULE_COMPAT_*).

* Sun Mar 14 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:2.26-0.fdr.1
- Update to 2.26.

* Mon Feb  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:2.24-0.fdr.3
- Reduce directory ownership bloat.

* Mon Dec  1 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.24-0.fdr.2
- Improve summary.

* Wed Oct 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.24-0.fdr.1
- Update to 2.24.

* Sat Sep 27 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.23-0.fdr.1
- Update to 2.23.

* Sun Sep 14 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.21-0.fdr.2
- Install into vendor dirs.

* Fri Jun 27 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.21-0.fdr.1
- Update to 2.21.

* Sat Jun 21 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.20-0.fdr.1
- Update to 2.20.

* Wed May  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.19-0.fdr.1
- Update to 2.19.
- Save .spec in UTF-8.

* Fri Apr  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.18-0.fdr.1
- First Fedora release.
- Update to 2.18.

* Fri Dec  6 2002 Ville Skyttä <ville.skytta at iki.fi> - 2.15-1cr
- Update to 2.15.

* Sun Nov 24 2002 Ville Skyttä <ville.skytta at iki.fi> - 2.14-1cr
- Update to 2.14.

* Mon Nov 11 2002 Ville Skyttä <ville.skytta at iki.fi> - 2.12-1cr
- Update to 2.12.

* Sat Nov  9 2002 Ville Skyttä <ville.skytta at iki.fi> 2.11-1cr
- Update to 2.11.

* Sat Nov  2 2002 Ville Skyttä <ville.skytta at iki.fi> 2.10-1cr
- Update to 2.10.

* Sat Oct  5 2002 Ville Skyttä <ville.skytta at iki.fi> 2.08-1cr
- Update to 2.08.
- Rebuild for Red Hat 8.0.

* Sat Aug 24 2002 Ville Skyttä <ville.skytta at iki.fi> 2.07-1cr
- Initial build.
